# Class Mgc

java.lang.Object
uk.ac.starlink.topcat.func.Mgc

public class Mgc extends Object
Specialist functions for use with data from the the Millennium Galaxy Survey.

Since:
  15 Oct 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MGC_IMAGE_BASE`
String prepended to MGC_ID for the FITS image URL.
`static final String`
`MGC_IMAGE_TAIL`
String appended to MGC_ID for the FITS image URL.

## Method Summary

Modifier and Type
Method
Description
`static String`
`imageMgc(int mgc_id)`
Displays the postage stamp FITS image for an MGC object in an image viewer.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MGC_IMAGE_BASE

public static final String MGC_IMAGE_BASE
String prepended to MGC_ID for the FITS image URL.

See Also:
  - Constant Field Values

### MGC_IMAGE_TAIL

public static final String MGC_IMAGE_TAIL
String appended to MGC_ID for the FITS image URL.

See Also:
  - Constant Field Values

## Method Details

### imageMgc

public static String imageMgc(int mgc_id)
Displays the postage stamp FITS image for an MGC object in an image viewer.

Parameters:
  `mgc_id` - the MGC_ID number for the object
Returns:
  short log string